package org.wildfly.swarm.config.keycloak;

import java.lang.FunctionalInterface;

@FunctionalInterface
public interface CredentialSupplier<T extends Credential> {

	/**
	 * Constructed instance of Credential resource
	 * 
	 * @return The instance
	 */
	public Credential get();
}