package org.wildfly.swarm.config.keycloak;

import java.lang.FunctionalInterface;

@FunctionalInterface
public interface SecureServerSupplier<T extends SecureServer> {

	/**
	 * Constructed instance of SecureServer resource
	 * 
	 * @return The instance
	 */
	public SecureServer get();
}